package org.eclipse.palamedes.gdl.core.ast;

import org.eclipse.palamedes.kif.core.ast.KIFFunTerm;
import org.eclipse.palamedes.kif.core.ast.KIFRelSent;


public class Does extends KIFRelSent {

    Does(KIFRelSent relation) {
        super(relation.getAST());
        copyMembers(relation);

        if ( !"does".equalsIgnoreCase(getName()) )
            throw new IllegalArgumentException();
    }

    public KIFFunTerm getFluent() {
        return (KIFFunTerm) getTerms().get(0);
    }

}
