package org.eclipse.palamedes.gdl.core.ast;

import org.eclipse.palamedes.kif.core.ast.KIFImplication;


public class RuleLegal extends Rule {

    /**
     * The constructor of checks whether the node fits the criteria of a legal
     * rule.
     *
     * @param node Implication with a legal rule inside.
     */
    RuleLegal(KIFImplication node) {
        super(node);

        // the constant of the relation sentence has to be "legal"
        if ( "legal".compareToIgnoreCase( getHeadLvl1Const() ) != 0 )
            throw new IllegalArgumentException();
    }

}
