package org.eclipse.palamedes.gdl.core.resolver.prologprover;

import org.eclipse.palamedes.gdl.core.model.utils.Game;
import org.eclipse.palamedes.gdl.core.model.utils.GameNodeTree;


public final class GameProlog extends Game {

    public GameProlog() {    	
    }
    
    public void init(String gdl) {
        super.init(new ReasonerAdapter(gdl), new GameNodeTree());
        ((GameNodeTree) tree).setRoot(((ReasonerAdapter) reasoner).getInitialState());

        sourceGDL = gdl;
        roleNames = ((ReasonerAdapter) reasoner).getRoleNames();
    }

}
