/**
 * 
 */
package org.eclipse.palamedes.gdl.core.resolver.prologprover;

import java.util.Collection;

import org.eclipse.palamedes.gdl.core.model.utils.AbstractState;

import com.parctechnologies.eclipse.CompoundTerm;

final class StateAdapter extends AbstractState<Collection<CompoundTerm>> {

	private EclipseConnector eclipse;
	
    public StateAdapter(EclipseConnector eclipse, Collection<CompoundTerm> objState) {
        super(objState);
        this.eclipse=eclipse;
    }

    @Override
    public void initFluentList() {
        for ( CompoundTerm prologFluent : nativeState )
            fluents.add(new FluentAdapter(prologFluent));
    }

    @Override
    public String toString() {
        return eclipse.toGdlString(nativeState);
    }

}
