package org.eclipse.palamedes.gdl.core.simulation;



public class SimulationSettings {

    IStrategy[] strategies;
    int[]       startTimes;
    int[]       playTimes;

    public SimulationSettings() {
    }

    public SimulationSettings( IStrategy[] strategies,
                               int[]       startTimes,
                               int[]       playTimes ) {
        this.strategies = strategies.clone();
        this.startTimes = startTimes.clone();
        this.playTimes  = playTimes.clone();
    }


    public IStrategy[] getStrategies() {
        return strategies.clone();
    }


    public void setStrategies(IStrategy[] strategies) {
        this.strategies = strategies.clone();
    }


    public int[] getStartTimes() {
        return startTimes.clone();
    }


    public void setStartTimes(int[] startTimes) {
        this.startTimes = startTimes.clone();
    }


    public int[] getPlayTimes() {
        return playTimes.clone();
    }


    public void setPlayTimes(int[] playTimes) {
        this.playTimes = playTimes.clone();
    }


}
