package org.eclipse.palamedes.gdl.core.simulation;

import java.util.TimerTask;


/**
 * The MatchTimer class stops the search for legal moves after the specified
 * time.
 */
public class TimerThread extends TimerTask {

    private final TimerFlag timer;

    public TimerThread( TimerFlag timer ) {
        this.timer = timer;
        timer.reset();
    }

    @Override
    public void run() {
        timer.interrupt();
    }
}
