package org.eclipse.palamedes.gdl.core.simulation.strategies;

import java.util.List;

import org.eclipse.palamedes.gdl.core.model.IGameNode;
import org.eclipse.palamedes.gdl.core.model.IMove;


public class SRandom extends AbstractStrategy {

    @Override
    public IMove getMove(IGameNode currentNode) {
        try {
            List<IMove[]> moves = match.getGame().getCombinedMoves(currentNode);
            return moves.get( random.nextInt( moves.size() ) )[playerNumber];
        }
        catch (InterruptedException e) {
            System.out.println("getMove stopped by time.");
        }
        return null;
    }

}
